import subprocess

import pytest

import samltest


@pytest.fixture()
def kerberos_ticket(account, ucr) -> None:
    ucr.handler_set(['kerberos/defaults/rdns=false', 'saml/idp/authsource=univention-negotiate'])
    subprocess.call(['kdestroy'])

    # get kerberos ticket
    subprocess.check_call(['kinit', '--password-file=%s' % (account.pwdfile,), account.username])

    yield

    subprocess.check_call(['kdestroy'])


@pytest.fixture()
def saml_session(account):
    return samltest.SamlTest(account.username, account.bindpw)


@pytest.fixture()
def saml_session_kerberos(kerberos_ticket):
    return samltest.SamlTest('', '', use_kerberos=True)
